import java.util.*;

public class TestTreeSetWithComparator {
  public static void main(String[] args) {
    // Tworzenie zbioru TreeSet z komparatorem dla obiektów geometrycznych
    Set<GeometricObject> set =
      new TreeSet<>(new GeometricObjectComparator());
    set.add(new Rectangle(4, 5));
    set.add(new Circle(40));
    set.add(new Circle(40));
    set.add(new Rectangle(4, 1));

    // Wyświetlanie obiektów geometrycznych ze zbioru TreeSet
    System.out.println("Posortowany zbiór obiektów geometrycznych:");
    for (GeometricObject element: set)
      System.out.println("powierzchnia = " + element.getArea());
  }
}
